DropDowns Overview
The DropDowns allow you to choose from a predefined list of options.
A list of suggestions for typed content.
A list for picking single items or entering custom values.
A predefined list of options for picking single values.
A predefined list of options for multiple item selection.
Basic Usage
The following example demonstrates the AutoComplete, ComboBox, DropDownList, and MultiSelect components in action.
import React from 'react';
import ReactDOM from 'react-dom';
import { AutoComplete, ComboBox, DropDownList, MultiSelect } from '@progress/kendo-react-dropdowns';
class AppComponent extends React.Component {
sports = [ "Baseball", "Basketball", "Cricket", "Field Hockey", "Football", "Table Tennis", "Tennis", "Volleyball" ];
render() {
return (
<div className="example-wrapper" style={{ minHeight: '400px' }}>
<div className="col-xs-12 col-sm-7 example-col">
<p>AutoComplete</p>
<AutoComplete data={this.sports} placeholder="Your favorite sport" />
</div>
<div className="col-xs-12 col-sm-7 example-col">
<p>ComboBox</p>
<ComboBox data={this.sports} defaultValue="Basketball" />
</div>
<div className="col-xs-12 col-sm-7 example-col">
<p>DropDownList</p>
<DropDownList data={this.sports} defaultValue="Basketball" />
</div>
<div className="col-xs-12 col-sm-7 example-col">
<p>MultiSelect</p>
<MultiSelect data={this.sports} defaultValue={[ "Basketball", "Cricket" ]} />
</div>
</div>
);
}
}
ReactDOM.render(
<AppComponent />,
document.querySelector('my-app')
);
Installation
-
Download and install the package. Use Node.js v5.0.0 or later.
npm install --save @progress/kendo-react-dropdowns @progress/kendo-react-intl
-
Once installed, import the package module.
// ES2015 module syntax import { AutoComplete, ComboBox, DropDownList, MultiSelect } from '@progress/kendo-react-dropdowns';
// CommonJS format const { AutoComplete, ComboBox, DropDownList, MultiSelect } = require('@progress/kendo-react-dropdowns');
You are required to install one of the Kendo UI themes to style your components. For more information on how to add the styles, refer to the article on getting started.
Dependencies
The DropDowns package requires you to install the following peer dependencies in your application:
- react 16.0.0*
- react-dom
- @progress/kendo-react-intl

Dropdowns Overview
The Dropdowns allow you to choose from a predefined list of options.
Basic Usage
The following example demonstrates the AutoComplete, ComboBox, DropDownList, DropDownTree, MultiColumnComboBox and MultiSelect components in action.
Installation
Either use the quick setup (Angular CLI) or manually add the package.
Quick Setup with Angular CLI
Angular CLI supports the addition of packages through the ng add
command which executes in one step the set of otherwise individually needed commands.
ng add @progress/kendo-angular-dropdowns
Manual Setup
All components that you reference during the installation will be present in the final bundle of your application. To avoid ending up with components you do not actually need, either:
- Import all Dropdowns components at once by using the DropDownsModule, or
- Import a specific Dropdowns component by adding it as an individual NgModule.
Download and install the package.
npm install --save @progress/kendo-angular-dropdowns @progress/kendo-angular-l10n @progress/kendo-angular-popup @progress/kendo-angular-treeview @progress/kendo-angular-inputs @progress/kendo-angular-intl @progress/kendo-drawing @progress/kendo-angular-common @progress/kendo-licensing
Once installed, import the NgModule of the components you need.
To get all package components, import the DropDownsModule in your application root or feature module.
import { NgModule } from '@angular/core'; import { BrowserModule } from '@angular/platform-browser'; import { BrowserAnimationsModule } from '@angular/platform-browser/animations'; import { DropDownsModule } from '@progress/kendo-angular-dropdowns'; import { AppComponent } from './app.component'; @NgModule({ bootstrap: [AppComponent], declarations: [AppComponent], imports: [BrowserModule, BrowserAnimationsModule, DropDownsModule] }) export class AppModule { }
The package also exports the following modules for individual components:
AutoCompleteModule
ComboBoxModule
DropDownListModule
DropDownTreeModule
MultiColumnComboBoxModule
MultiSelectModule
To reduce the size of your application, include only the ones you need.
import { NgModule } from '@angular/core'; import { BrowserModule } from '@angular/platform-browser'; import { BrowserAnimationsModule } from '@angular/platform-browser/animations'; import { AppComponent } from './app.component'; // Imports the AutoComplete module import { AutoCompleteModule } from '@progress/kendo-angular-dropdowns'; // Imports the ComboBox module import { ComboBoxModule } from '@progress/kendo-angular-dropdowns'; @NgModule({ bootstrap: [AppComponent], imports: [ BrowserModule, BrowserAnimationsModule, AutoCompleteModule, ComboBoxModule ] }) export class AppModule {}
You are required to install one of the Kendo UI themes for Angular to style your components. For more information on how to add the styles, refer to the section on styling.
For Angular 9.x and later, install the
@angular/localize
package:- Run
npm install --save @angular/localize
. - Add
import '@angular/localize/init';
to yoursrc/polyfills.ts
file.
- Run
Follow the instructions on the Kendo UI for Angular My License page to activate your license. You can skip this step if your application already contains a Kendo UI license file.
Dependencies
The Dropdowns package requires you to install the following peer dependencies in your application:
- @angular/common
- @angular/core
- @angular/forms
- @progress/kendo-angular-common
- @progress/kendo-angular-l10n
- @progress/kendo-angular-popup
- @progress/kendo-angular-treeview
- @progress/kendo-angular-inputs
- @progress/kendo-angular-intl
- @progress/kendo-drawing
- @progress/kendo-licensing
- rxjs
The following dependencies will be installed automatically:
- @telerik/kendo-dropdowns-common
The Dropdowns package utilizes the Angular animation system, which supports a specific set of browsers.